I'm puzzled.  On a box running Ruby 1.9.1 I try this:

user@host:/path$ irb
irb(main):001:0> require 'json'
=> true
irb(main):002:0> JSON.parse(JSON.generate('\\'))
JSON::ParserError: 598: unexpected token at '"\\"'
        from /usr/local/lib/ruby/1.9/json/common.rb:122:in `parse'
        from /usr/local/lib/ruby/1.9/json/common.rb:122:in `parse'
        from (irb):2
        from /usr/local/bin/irb:12:in `<main>'
irb(main):003:0> RUBY_VERSION
=> "1.9.1"
irb(main):004:0> ^D

This is the JSON module that came with 1.9--I don't have a JSON gem installed.

Any ideas where to go looking?  A little web searching showed me
various similar problems, but most were under 1.8.

Looking for a clue,
Aaron out.